## linux-main-signed-nvidia-tegra 6.8.0-1018.18

=== debian/control ===
Source: linux-main-signed-nvidia-tegra
Section: kernel
Priority: optional
Maintainer: Canonical Kernel Team <kernel-team@lists.ubuntu.com>
Build-Depends: debhelper (>= 9)
Build-Depends-Arch:
 linux-main-generate-nvidia-tegra (= 6.8.0-1018.18),
 python3,
 python3-apt,
 zstd,
Standards-Version: 3.9.4

Package: linux-main-signed-nvidia-tegra
Architecture: arm64
Section: devel
Priority: optional
Description: Build interlock package. You do not want to install this package.


Package: linux-main-modules-doca-ofed-25.10-6.8.0-1018-nvidia-tegra
Build-Profiles: <!stage1>
Architecture: arm64
Section: kernel
Priority: optional
Provides: doca-ofed-25.10-dkms (= 25.10.1.7.1.0-0ubuntu3~24.04.1)
Depends: ${misc:Depends}, ${shlibs:Depends}, kmod, linux-image-6.8.0-1018-nvidia-tegra | linux-image-unsigned-6.8.0-1018-nvidia-tegra
Description: Signed doca-ofed-25.10 module for 6.8.0-1018
 This package contains the signed doca-ofed-25.10 modules.
 .
 You likely do not want to install this package directly, Instead, install
 the linux-doca-ofed-25.10-nvidia-tegra meta-package, which will ensure that
 upgrades work correctly, and that supporting packages are also installed.


Package: linux-modules-doca-ofed-25.10-nvidia-tegra
Build-Profiles: <!stage1>
Architecture: arm64
Section: kernel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}, kmod, linux-main-modules-doca-ofed-25.10-6.8.0-1018-nvidia-tegra
Description: Extra drivers for doca-ofed-25.10 for the nvidia-tegra flavour
 Install extra signed doca-ofed-25.10 modules compatible with the nvidia-tegra flavour


Package: linux-main-modules-doca-ofed-25.10-6.8.0-1018-nvidia-tegra-rt
Build-Profiles: <!stage1>
Architecture: arm64
Section: kernel
Priority: optional
Provides: doca-ofed-25.10-dkms (= 25.10.1.7.1.0-0ubuntu3~24.04.1)
Depends: ${misc:Depends}, ${shlibs:Depends}, kmod, linux-image-6.8.0-1018-nvidia-tegra-rt | linux-image-unsigned-6.8.0-1018-nvidia-tegra-rt
Description: Signed doca-ofed-25.10 module for 6.8.0-1018
 This package contains the signed doca-ofed-25.10 modules.
 .
 You likely do not want to install this package directly, Instead, install
 the linux-doca-ofed-25.10-nvidia-tegra-rt meta-package, which will ensure that
 upgrades work correctly, and that supporting packages are also installed.


Package: linux-modules-doca-ofed-25.10-nvidia-tegra-rt
Build-Profiles: <!stage1>
Architecture: arm64
Section: kernel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}, kmod, linux-main-modules-doca-ofed-25.10-6.8.0-1018-nvidia-tegra-rt
Description: Extra drivers for doca-ofed-25.10 for the nvidia-tegra-rt flavour
 Install extra signed doca-ofed-25.10 modules compatible with the nvidia-tegra-rt flavour
