## linux-main-signed-nvidia-tegra 6.8.0-1019.19

=== debian/changelog ===
linux-main-signed-nvidia-tegra (6.8.0-1019.19) noble; urgency=medium

  * Main version: 6.8.0-1019.19

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/tracking-bug -- resync from main package

 -- Noah Wager <noah.wager@canonical.com>  Sat, 28 Feb 2026 19:28:26 -0800

linux-main-signed-nvidia-tegra (6.8.0-1018.18+1) noble; urgency=medium

  * Main version: 6.8.0-1018.18

  * noble/linux-nvidia-tegra: 6.8.0-1018.18 -proposed tracker (LP: #2141098)
    - Fix synthetic invalid status in proposed promotion

 -- Noah Wager <noah.wager@canonical.com>  Fri, 27 Feb 2026 08:35:01 -0800

linux-main-signed-nvidia-tegra (6.8.0-1018.18) noble; urgency=medium

  * Main version: 6.8.0-1018.18

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/tracking-bug -- resync from main package

 -- Noah Wager <noah.wager@canonical.com>  Wed, 25 Feb 2026 13:27:22 -0800

linux-main-signed-nvidia-tegra (6.8.0-1016.16+3) noble; urgency=medium

  * Main version: 6.8.0-1016.16

  * noble/linux-nvidia-tegra: 6.8.0-1016.16 -proposed tracker (LP: #2140352)
    - Modify ancillary names

 -- Noah Wager <noah.wager@canonical.com>  Fri, 13 Feb 2026 06:44:37 -0800

linux-main-signed-nvidia-tegra (6.8.0-1016.16+2) noble; urgency=medium

  * Main version: 6.8.0-1016.16

  * noble/linux-nvidia-tegra: 6.8.0-1016.16 -proposed tracker (LP: #2140352)
    - Fix annotations for Python < 3.9

 -- Noah Wager <noah.wager@canonical.com>  Thu, 12 Feb 2026 07:40:13 -0800
